/*******************************************************************************
 *
 * File Name: parser.cpp
 * Author: Richard Baxter
 * Project: Generic Ldraw Construct Functions
 * Project Version: 2d11a 3-June-07
 *
 *******************************************************************************/


#ifndef HEADER_PARSER
#define HEADER_PARSER

#include "referenceClass.h"



//generic parser
bool parseFile(char * parseFileName, Reference * initialReference, Reference * parentReference);

double calcModXPosBasedUponRotate(vec * childRelativePosition, mat * parentReferenceDeformationMatrix);
double calcModYPosBasedUponRotate(vec * childRelativePosition, mat * parentReferenceDeformationMatrix);
double calcModZPosBasedUponRotate(vec * childRelativePosition, mat * parentReferenceDeformationMatrix);

#endif
